; *************************************************************************
; This is a first attempt of trying to link AutoCAD with Paradox. It works
; very well and does not take that much time. Jon Lorenzo of Incom out of
; Solon, Ohio helped me straighten out my logic.
; *************************************************************************
; This script inserts information exported from AutoCAD into the Paradox
; based Drawing Database program (DWG-DB). This is to keep the database
; current of CAD generated drawings. 
; *************************************************************************

; Clears Screen
ClearAll Clear               

; Set up the working directory - this is done on a Banyan Network
 SETDIR "p:\\dt\\dwg-db\\prog"

; Paradox looks for files the end with the extension "TXT"
 {Tools} {Info} {Inventory} {Files} {*.txt}

; Renames the LIST file to DWG-LIST
RENAME "List" "dwg-list"

; Clears Screen
ClearAll Clear

; Tell Paradox to look at the DWG-LIST file, scan through the list,
; and import the files into the specific database. If there is a problem
; with the .TXT file, then it is renamed to a .PRB file.
View "p:\\dt\\dwg-db\\dwg-list"
 SCAN
    DwgName = [Name]
    {Tools} {ExportImport} {Import} {Ascii} {AppendDelimited}
      select DwgName
       {Dwg-db}
    WHILE TABLE() <> "Dwg-list"
       IF TABLE() = "Problems"
          THEN RUN "RENAME "+DwgName+" "+SUBSTR(DwgName,1,(LEN(DwgName)-4))+
               ".PRB"
       ENDIF
       CLEARIMAGE
    ENDWHILE
 ENDSCAN

; Paradox does housecleaning of all uneeded files
ClearAll
 DELETE "dwg-list"
 RUN "ERASE *.TXT"
 RUN "COPY DWG-DB.* P:\\DT\\DWG-DB\\PROG"
 EMPTY "dwg-db"

; Setup a new working subdirectory
SETDIR "p:\\dt\\dwg-db\\prog"

; Restructure the database with new information
ClearAll
 {Modify} {Restructure} {Dwg-db}
   Right Ins "Customer Name" Enter
   Left Down Down Ins "Engineer" Right "A25"
   Left Down Down Ins "Proposal Number" Right "A10"
   Left Down Ins "Sales Order Number" Right "A10"
   Left Down Ins "Drawn by" Enter
   Left Down Ins "Date"
   Down Ins "Size (bytes)" Right "N"
   Left Down Ins "Last Revision" Right "D"
   Left Down Ins "Revision by" Right "A3"
   Left Down Ins "Change Description" Right "A35"
   Left Down Down Down "Disk Location" Right "A10"
Do_It!

; Tell Paradox to add new info to main database
ClearAll
 RENAME "dwg-db" "dwg-db2"
 ADD "p:\\dt\\dwg-db\\prog\\dwg-db2" "y:\\data\\fsgdd\\dwgdb"
 DELETE "p:\\dt\\dwg-db\\prog\\dwg-db2"

; End Program
ClearAll
 {EXIT} {YES}

;*************************************************************************
; End of Program - DWG-PDX.SC
;*************************************************************************
